Posted at

Rust racerをインストールしようとするとbitflagsがコンパイルできず失敗する

More than 1 year has passed since last update.


症状

error: expected identifier, found keyword `in`

--> .cargo/registry/src/github.com-1ecc6299db9ec823/bitflags-1.0.1/src/lib.rs:1148:22
|
1148 | pub (in super) fn value() -> u8 {
| ^^

error: aborting due to previous error


解説

これはpubにvisibilityを制限させる構文で、1.18より導入されました


対処法

rustをアップデートします。

$ rustup update